Bug 14150 - mppe_decompress -- "osize too small" errors
: mppe_decompress -- "osize too small" errors
Status: CLOSED WONTFIX
: Branch 4.0
(All bugs in Branch 4.0/kernel-image-ovz-smp)
: 4.0
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-01-24 10:42 by
Modified: 2014-11-05 20:15 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-01-24 10:42:06
Система 4.0/Server с ядром alt17 и всеми updates

Поймал проблему с умирающим pptp соединением. Чтение логов показало, что 
возникает описанное в https://bugzilla.altlinux.org/show_bug.cgi?id=12081

Идут ошибки типа:
mppe_decompress[0]: osize too small!

Хоть в #12081 и стоит FIXED но похоже для ovz ядер проблема и поныне актуальна.
Пока временно решил проблему выставляя вручную mru.

Ещё ссылка для информации:
http://lists.opensuse.org/opensuse-bugs/2007-07/msg01731.html

Как я понял в свежих ядрах этот баг пофикшен.

Можно как-то и в Server-ном ovz-ядре от этой проблемки избавиться?
------- Comment #1 From 2008-01-24 15:58:51 -------
(In reply to comment #0)
> Система 4.0/Server с ядром alt17 и всеми updates

Действительно, в updates до сих пор kernel-image-ovz-smp-2.6.18-alt17, хотя в
бранче уже alt20 (в Сизифе - alt21); кстати, не вижу этих сборок в git.

Однако не совсем понятно, почему данная ошибка до сих пор проявляется в
2.6.18-ovz-smp-alt17, поскольку патч из упомянутого по указанной ссылке коммита
4b2a8fb3a7f7935f62a7bbdc851789fb7c2da032 (которым и исправлялся Bug #12081) был
включён ещё в сборку 2.6.18-ovz-smp-alt15.  Возможно, это на самом деле какая-то
другая ошибка...
------- Comment #2 From 2008-03-15 23:51:52 -------
reassign
------- Comment #3 From 2014-11-05 20:15:40 -------
В 4.0/branch исправления не будут вноситься уже технически (заглушена очередь
на сборку), поэтому прошу ошибки, актуальные для sisyphus/p7/t7, перевесить на
текущие ветки или сизиф.